BEGIN 9xFood

IF~NumTimesTalkedTo(0)~THEN BEGIN FoodSeller000
SAY @0
IF~~THEN REPLY @1 GOTO FoodSeller001
IF~~THEN REPLY @2 GOTO FoodSeller002
IF~~THEN REPLY @3 GOTO FoodSeller003
END

IF~NumTimesTalkedToGT(0)~THEN BEGIN FoodSeller004
SAY @4
IF~~THEN REPLY @5 GOTO FoodSeller001
IF~~THEN REPLY @6 GOTO FoodSeller002
IF~~THEN REPLY @7 GOTO FoodSeller003
END

IF~~THEN BEGIN FoodSeller002
SAY @8
=
@9
IF~~THEN REPLY @10 GOTO FoodSeller001
IF~~THEN REPLY @11 GOTO FoodSeller003
END

IF~~THEN BEGIN FoodSeller001
SAY @12
IF~~THEN DO ~StartStore("ISHFOOD",LastTalkedToBy())~ EXIT
END

IF~~THEN BEGIN FoodSeller003
SAY @13
IF~~THEN EXIT
END